Package com.pixelmed.test

## Class TestDecimalStringAttributeLocaleEffect

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - com.pixelmed.test.TestDecimalStringAttributeLocaleEffect

- All Implemented Interfaces:
    `junit.framework.Test`

      public class TestDecimalStringAttributeLocaleEffect
      extends junit.framework.TestCase

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TestDecimalStringAttributeLocaleEffect​(java.lang.String name)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `setUp()` |
    `static junit.framework.Test` | `suite()` |
    `protected void` | `tearDown()` |
    `void` | `TestDecimalStringAttributeLocaleEffect_Double_AllAvailableLocales()` |
    `void` | `TestDecimalStringAttributeLocaleEffect_Double_DefaultLocale()` |
    `void` | `TestDecimalStringAttributeLocaleEffect_Float_AllAvailableLocales()` |
    `void` | `TestDecimalStringAttributeLocaleEffect_Float_DefaultLocale()` |

    - ### Methods inherited from class junit.framework.TestCase

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TestDecimalStringAttributeLocaleEffect

          public TestDecimalStringAttributeLocaleEffect​(java.lang.String name)

  - ### Method Detail

    - #### suite

          public static junit.framework.Test suite()

    - #### setUp

          protected void setUp()

      Overrides:
        `setUp` in class `junit.framework.TestCase`

    - #### tearDown

          protected void tearDown()

      Overrides:
        `tearDown` in class `junit.framework.TestCase`

    - #### TestDecimalStringAttributeLocaleEffect_Double_DefaultLocale

          public void TestDecimalStringAttributeLocaleEffect_Double_DefaultLocale()
                                                                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestDecimalStringAttributeLocaleEffect_Double_AllAvailableLocales

          public void TestDecimalStringAttributeLocaleEffect_Double_AllAvailableLocales()
                                                                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestDecimalStringAttributeLocaleEffect_Float_DefaultLocale

          public void TestDecimalStringAttributeLocaleEffect_Float_DefaultLocale()
                                                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestDecimalStringAttributeLocaleEffect_Float_AllAvailableLocales

          public void TestDecimalStringAttributeLocaleEffect_Float_AllAvailableLocales()
                                                                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`